Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#259 closed defect (fixed)

PC386 RTEMS_VIDEO_80x50 incompatible with serial-line console

Reported by: Eric Norum Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: bsps Version: unknown
Severity: normal Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

I'm trying to produce an application which will work on hardware with a keyboard and video console and on hardware with a serial line console. I'd like to use 80x50 on the video console, but when I define RTEMS_VIDEO_80x50 in i386/pc386/start/start16.S the application fails to work when run on hardware with just a serial line console.

Release:
CVS

Environment:
i386-rtems/pc386 BSP

Attachments (1)

pr259.diff (1.6 KB) - added by Eric Norum on 12/03/06 at 13:31:12.
pr259.diff

Download all attachments as: .zip

Change History (2)

comment:1 Changed on 08/14/02 at 21:43:06 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Attached patch tested by Eric and commited by Joel.

Changed on 12/03/06 at 13:31:12 by Eric Norum

Attachment: pr259.diff added

pr259.diff

Note: See TracTickets for help on using tickets.